curl --request PATCH \
--url https://dev.intermezzo.ai/organizations/{organization_id}/worksites/{worksite_id}/insurance-details/{insurance_details_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"insuranceCountry": "DE",
"worksiteLocationNumber": "98797889",
"accidentInsuranceCompanyNumber": "98797889",
"accidentInsurancePin": "12345",
"payrollServiceProviderNumber": "98797889",
"payrollProcessingLocationNumber": "98797889"
}
'{
"id": 123,
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"insuranceCountry": "DE",
"worksiteLocationNumber": "98797889",
"accidentInsuranceCompanyNumber": "98797889",
"accidentInsurancePin": "DE-WS-PIN-456",
"payrollServiceProviderNumber": "98797889",
"payrollProcessingLocationNumber": "98797889"
}curl --request PATCH \
--url https://dev.intermezzo.ai/organizations/{organization_id}/worksites/{worksite_id}/insurance-details/{insurance_details_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"insuranceCountry": "DE",
"worksiteLocationNumber": "98797889",
"accidentInsuranceCompanyNumber": "98797889",
"accidentInsurancePin": "12345",
"payrollServiceProviderNumber": "98797889",
"payrollProcessingLocationNumber": "98797889"
}
'{
"id": 123,
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"insuranceCountry": "DE",
"worksiteLocationNumber": "98797889",
"accidentInsuranceCompanyNumber": "98797889",
"accidentInsurancePin": "DE-WS-PIN-456",
"payrollServiceProviderNumber": "98797889",
"payrollProcessingLocationNumber": "98797889"
}Get token from Auth0 and paste it here
"DE"German Betriebsnummer (8 digits: xxx-yyyy-z format)
"98797889"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
"98797889"
German accident insurance PIN (5 digits)
"12345"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
"98797889"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
"98797889"
Successful Response
"DE"German Betriebsnummer (8 digits: xxx-yyyy-z format)
^\d{8}$"98797889"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
^\d{8}$"98797889"
German accident insurance PIN (5 digits)
^\d{5}$"DE-WS-PIN-456"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
^\d{8}$"98797889"
German Betriebsnummer (8 digits: xxx-yyyy-z format)
^\d{8}$"98797889"
Was this page helpful?